-- This was our side discussion

CREATE PROC GetData
( @CustKey	int )
as
SELECT S.CustomerKey, C.LastName, sum(S.SalesAmount)
FROM dbo.FactInternetSales AS S
	INNER JOIN dbo.DimCustomer AS C
		ON S.CustomerKey = C.CustomerKey
WHERE S.CustomerKey < @CustKey
GROUP BY S.CustomerKey, C.LastName
OPTION (RECOMPILE)
go

set statistics io on
set statistics time on
go
getdata 11010
go
getdata 20000 with recompile